> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a customer portal session

> Generates a 15-minute magic link that logs the customer into their order portal. Use this endpoint to provide customers with quick access to view and manage their orders.



## OpenAPI

````yaml post /customers/{id}/portal-session
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /customers/{id}/portal-session:
    post:
      tags:
        - Customers
      summary: Create a customer portal session
      description: >-
        Generates a 15-minute magic link that logs the customer into their order
        portal. Use this endpoint to provide customers with quick access to view
        and manage their orders.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Portal session created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PortalSessionResponse'
        '401':
          description: Unauthorized
        '404':
          description: Not Found
components:
  schemas:
    PortalSessionResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            customer_id:
              type: string
            customer_email:
              type: string
            url:
              type: string
            expires_in:
              type: integer

````